www.cendio.com
Bug 6171 - Invalid session size requested when reconnecting to large session in Safari
: Invalid session size requested when reconnecting to large session in Safari
Status: CLOSED DUPLICATE of bug 6153
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.8.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2017-02-20 15:49 by
Modified: 2017-02-23 13:04 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-02-20 15:49:51
Steps to reproduce:

1 . Start a session using a native ThinLinc client with a resolution of
3000x3000
2. Disconnect
3. Reconnect using the HTML5 client using Safari on Mac OS or any browser on
iOS.

The server will kick you out, the client will disconnect. Browser console says
nothing. The session lives on.

xinit.log says:

> Connections: closed: 127.0.0.1::34264 (Pixel buffer request 33x0 at 457,1014
>             exceeds framebuffer 994x735)

The pixel buffer request number differs from time to time, have also seen 0x0,
52x0 etc..
------- Comment #1 From cendio 2017-02-21 09:33:20 -------
Also shown while testing bug #6160, see comment #10. Seems to be a regression
due to it works as expected against eudemo
------- Comment #2 From cendio 2017-02-21 10:14:16 -------
This is probably a regression as that error message came with the latest
TigerVNC drop. We need to at least diagnose the problem right now.
------- Comment #3 From cendio 2017-02-22 15:20:52 -------
Closing this since it's a regression from changes done on bug 6160.

*** This bug has been marked as a duplicate of bug 6160 ***
------- Comment #4 From cendio 2017-02-23 13:01:57 -------
The problem was actually caused by the heap overflow protection from bug 6153.

*** This bug has been marked as a duplicate of bug 6153 ***
------- Comment #5 From cendio 2017-02-23 13:04:59 -------
(In reply to comment #4)
> The problem was actually caused by the heap overflow protection from bug 6153.
> 
> *** This bug has been marked as a duplicate of bug 6153 ***

Yes. My mistake, safari's browser caching get's confusing at times.

It is now verified that a nightly build with Xvnc from 4.7.0 does NOT have
these problems. It is also verified that a 4.7.0 server with a Xvnc from a
nightly build DOES have these problems.